package ch.zhaw.projekt2.turnierverwaltung.main.participantAddFormular;

import ch.zhaw.projekt2.turnierverwaltung.FXController;
import ch.zhaw.projekt2.turnierverwaltung.Participant;
import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.scene.control.Button;
import javafx.scene.control.Label;
import javafx.scene.control.ListView;
import javafx.scene.control.TextField;
import javafx.scene.input.MouseEvent;
import javafx.scene.layout.GridPane;
import javafx.scene.layout.VBox;

public class ParticipantFormularController extends FXController {

    @FXML
    private Button addBtn;

    @FXML
    private Label birthDateLabel;

    @FXML
    private TextField birthDateTextField;

    @FXML
    private VBox changeBtn;

    @FXML
    private Label firstNameLabel;

    @FXML
    private TextField firstNameTextField;

    @FXML
    private GridPane grid;

    @FXML
    private Label newParticipantFormularTitle;

    @FXML
    private Button openBtn;

    @FXML
    private Label participantListTitle;

    @FXML
    private ListView<Participant> participantListView;

    @FXML
    private Label participantNameLabel;

    @FXML
    private TextField participantNameTextField;

    @FXML
    private Label phoneNumberLabel;

    @FXML
    private TextField phoneNumberTextField;

    @FXML
    private Button saveBtn;

    @FXML
    void addParticipant(ActionEvent event) {
        getTournamentDecorator().addPlayer(firstNameTextField.getText(), participantNameTextField.getText(), phoneNumberTextField.getText(), birthDateTextField.getText());
    }

    @FXML
    void changeParticipant(MouseEvent event) {

    }

    @FXML
    void save(ActionEvent event) {

    }

    @Override
    public void loadContent() {
        participantListView.setItems(getTournamentDecorator().getTournament().getParticipants());
    }
}
